#!/usr/bin/env summon

import time
import sys

from summon import shapes


class Actor (object):
    def __init__(self):
        self.x = 0
        self.y = 0
        self.vx = 0
        self.vy = 0
    
    
    def update(self):
        self.x += self.vx
        self.y += self.vy
    
    def draw(self):
        return group(shapes.box(self.x, self.y, self.x+10, self.y+10))
    

class Player (Actor):
    def __init__(self):
        Actor.__init__(self)

    def move(self, key):
        if key == "right":
            self.vx += 1
        
        elif key == "left":
            self.vx -= 1
        
        elif key == "up":
            self.vy += 10
    
player = Player()
player.y = 100

reset_binding(input_key("right"), lambda: player.move("right"))
reset_binding(input_key("left"), lambda: player.move("left"))
reset_binding(input_key("up"), lambda: player.move("up"))


add_group(group(lines(0, 0, 500, 0)))
world = add_group(group())
set_visible(-10, -10, 500, 500)

while True:
    player.vy -= 1
    player.update()
    
    if player.y < 0:
        player.y = 0
        player.vy *= -.5
        player.vx *= .95
    
    worldVis = []
    worldVis.append(player.draw())
    world = replace_group(world, group(* worldVis))
    
    if world == None:
        sys.exit()
    
    time.sleep(1.0/60.0)
